Upstream information

CVE-2017-9445 at MITRE

Description

In systemd through 233, certain sizes passed to dns_packet_new in systemd-resolved can cause it to allocate a buffer that's too small. A malicious DNS server can exploit this via a response with a specially crafted TCP payload to trick systemd-resolved into allocating a buffer that's too small, and subsequently write arbitrary data beyond the end of it.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 6.8
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact None Partial
Integrity Impact None Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 8.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact None High
Integrity Impact None High
Availability Impact High High

Note from the SUSE Security Team

The resolved component of systemd was so far not shipped, so neither SUSE or openSUSE distributions are affected by this problem.

SUSE Bugzilla entry: 1045290 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • dracut >= 044.1-109.8.3
  • libsystemd0 >= 228-150.7.1
  • libudev1 >= 228-150.7.1
  • systemd >= 228-150.7.1
  • systemd-sysvinit >= 228-150.7.1
  • udev >= 228-150.7.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1174
SUSE Linux Enterprise Build System Kit 12 SP2
  • libudev-mini-devel >= 228-150.7.1
  • libudev-mini1 >= 228-150.7.1
  • systemd-mini >= 228-150.7.1
  • systemd-mini-devel >= 228-150.7.1
  • udev-mini >= 228-150.7.1
Patchnames:
SUSE-SLE-BSK-12-SP2-2017-1174
SUSE Linux Enterprise Build System Kit 12 SP3
  • libudev-mini-devel >= 228-150.9.2
  • libudev-mini1 >= 228-150.9.2
  • systemd-mini >= 228-150.9.2
  • systemd-mini-devel >= 228-150.9.2
  • udev-mini >= 228-150.9.2
Patchnames:
SUSE-SLE-BSK-12-SP3-2017-1245
SUSE Linux Enterprise Desktop 12 SP2
  • dracut >= 044.1-109.8.3
  • libsystemd0 >= 228-150.7.1
  • libsystemd0-32bit >= 228-150.7.1
  • libudev1 >= 228-150.7.1
  • libudev1-32bit >= 228-150.7.1
  • systemd >= 228-150.7.1
  • systemd-32bit >= 228-150.7.1
  • systemd-bash-completion >= 228-150.7.1
  • systemd-sysvinit >= 228-150.7.1
  • udev >= 228-150.7.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1174
SUSE Linux Enterprise Desktop 12 SP3
  • libsystemd0 >= 228-150.9.3
  • libsystemd0-32bit >= 228-150.9.3
  • libudev1 >= 228-150.9.3
  • libudev1-32bit >= 228-150.9.3
  • systemd >= 228-150.9.3
  • systemd-32bit >= 228-150.9.3
  • systemd-bash-completion >= 228-150.9.3
  • systemd-sysvinit >= 228-150.9.3
  • udev >= 228-150.9.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1245
SUSE Linux Enterprise Module for Basesystem 15
  • libsystemd0 >= 234-22.3
  • libsystemd0-32bit >= 234-22.3
  • libudev-devel >= 234-22.3
  • libudev1 >= 234-22.3
  • libudev1-32bit >= 234-22.3
  • systemd >= 234-22.3
  • systemd-32bit >= 234-22.3
  • systemd-bash-completion >= 234-22.3
  • systemd-container >= 234-22.3
  • systemd-coredump >= 234-22.3
  • systemd-devel >= 234-22.3
  • systemd-sysvinit >= 234-22.3
  • udev >= 234-22.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libsystemd0
SUSE Linux Enterprise Module for Containers 12
  • sles12sp2-docker-image >= 1.0.2-20171006
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1674
SUSE Linux Enterprise Server 12 SP2
  • dracut >= 044.1-109.8.3
  • dracut-fips >= 044.1-109.8.3
  • libsystemd0 >= 228-150.7.1
  • libsystemd0-32bit >= 228-150.7.1
  • libudev1 >= 228-150.7.1
  • libudev1-32bit >= 228-150.7.1
  • systemd >= 228-150.7.1
  • systemd-32bit >= 228-150.7.1
  • systemd-bash-completion >= 228-150.7.1
  • systemd-sysvinit >= 228-150.7.1
  • udev >= 228-150.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1174
SUSE Linux Enterprise Server 12 SP3
  • libsystemd0 >= 228-150.9.3
  • libsystemd0-32bit >= 228-150.9.3
  • libudev1 >= 228-150.9.3
  • libudev1-32bit >= 228-150.9.3
  • systemd >= 228-150.9.3
  • systemd-32bit >= 228-150.9.3
  • systemd-bash-completion >= 228-150.9.3
  • systemd-sysvinit >= 228-150.9.3
  • udev >= 228-150.9.3
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1245
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • dracut >= 044.1-109.8.3
  • dracut-fips >= 044.1-109.8.3
  • libsystemd0 >= 228-150.7.1
  • libudev1 >= 228-150.7.1
  • systemd >= 228-150.7.1
  • systemd-bash-completion >= 228-150.7.1
  • systemd-sysvinit >= 228-150.7.1
  • udev >= 228-150.7.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1174
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • dracut >= 044.1-109.8.3
  • dracut-fips >= 044.1-109.8.3
  • libsystemd0 >= 228-150.7.1
  • libsystemd0-32bit >= 228-150.7.1
  • libudev1 >= 228-150.7.1
  • libudev1-32bit >= 228-150.7.1
  • systemd >= 228-150.7.1
  • systemd-32bit >= 228-150.7.1
  • systemd-bash-completion >= 228-150.7.1
  • systemd-sysvinit >= 228-150.7.1
  • udev >= 228-150.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1174
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libsystemd0 >= 228-150.9.3
  • libsystemd0-32bit >= 228-150.9.3
  • libudev1 >= 228-150.9.3
  • libudev1-32bit >= 228-150.9.3
  • systemd >= 228-150.9.3
  • systemd-32bit >= 228-150.9.3
  • systemd-bash-completion >= 228-150.9.3
  • systemd-sysvinit >= 228-150.9.3
  • udev >= 228-150.9.3
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1245
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libudev-devel >= 228-150.7.1
  • systemd >= 228-150.7.1
  • systemd-devel >= 228-150.7.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1174
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libudev-devel >= 228-150.9.3
  • systemd >= 228-150.9.3
  • systemd-devel >= 228-150.9.3
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1245
openSUSE Leap 15.0
  • libsystemd0 >= 234-lp150.19.1
  • libudev1 >= 234-lp150.19.1
  • libudev1-32bit >= 234-lp150.19.1
  • systemd >= 234-lp150.19.1
  • systemd-32bit >= 234-lp150.19.1
  • systemd-bash-completion >= 234-lp150.19.1
  • systemd-sysvinit >= 234-lp150.19.1
  • udev >= 234-lp150.19.1
Patchnames:
openSUSE Leap 15.0 GA libsystemd0


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
OpenStack Cloud Magnum Orchestration 7.0 systemd Released
SUSE Linux Enterprise BSK 12 SP2 systemd-mini Released
SUSE Linux Enterprise BSK 12 SP3 systemd-mini Released
SUSE Linux Enterprise Desktop 12 SP2 systemd Released
SUSE Linux Enterprise Desktop 12 SP3 systemd Released
SUSE Linux Enterprise SDK 12 SP2 systemd Released
SUSE Linux Enterprise SDK 12 SP3 systemd Released
SUSE Linux Enterprise Server 12 GA LTSS systemd Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS systemd Not affected
SUSE Linux Enterprise Server 12 SP2 systemd Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI systemd Released
SUSE Linux Enterprise Server 12 SP3 systemd Released